# Class CIM_InLogicalNetwork
extends CIM_CollectedMSEs

This association defines a ProtocolEndpoint as a member of a specific LogicalNetwork. Since the LogicalNetwork class is deprecated in lieu of ConnectivityCollection, this association is no longer necessary. It is deprecated to the MemberOfCollection association, that is inherited by ConnectivityCollection from its superclass, Collection.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_CollectedMSEs
|
+--CIM_InLogicalNetwork

## Direct Known Subclasses

CIM_InSegment

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Deprecated | string | CIM_MemberOfCollection
Description | string | This association defines a ProtocolEndpoint as a member of a specific LogicalNetwork. Since the LogicalNetwork class is deprecated in lieu of ConnectivityCollection, this association is no longer necessary. It is deprecated to the MemberOfCollection association, that is inherited by ConnectivityCollection from its superclass, Collection.
UMLPackagePath | string | CIM::Network::Collections
Version | string | 2.7.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_InLogicalNetwork | CIM_LogicalNetwork
Member | CIM_InLogicalNetwork | CIM_ProtocolEndpoint

## Class Methods